From afaceadce6ebfa2ab1dcc0b1b37bba5523a0c532 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Sat, 29 Jul 2023 12:22:32 +0800
Subject: [PATCH 1/5] CMakeLists: use flags for Apple correctly (#6784)

---
 plugins/CMakeLists.txt | 2 +-
 src/CMakeLists.txt     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git plugins/CMakeLists.txt plugins/CMakeLists.txt
index 4a1196886..64d5c72e2 100644
--- plugins/CMakeLists.txt
+++ plugins/CMakeLists.txt
@@ -4,7 +4,7 @@ SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
 # Enable C++11
 ADD_DEFINITIONS(-std=c++0x)
 
-IF(LMMS_BUILD_APPLE)
+IF(LMMS_BUILD_APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
 	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
 ENDIF()
 
diff --git src/CMakeLists.txt src/CMakeLists.txt
index b18fa897e..eda133291 100644
--- src/CMakeLists.txt
+++ src/CMakeLists.txt
@@ -12,7 +12,7 @@ SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
 # Enable C++11
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
 
-IF(LMMS_BUILD_APPLE)
+IF(LMMS_BUILD_APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
 	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
 ENDIF()
 
